------------------------------------------------------------
-- OVERALL
------------------------------------------------------------
SELECT sFG.[name] AS [filegroup_name]
	, sO.[is_ms_shipped] 
	, sO.[name] AS [table_name]
--	, sO.[type] AS [object_type]
	, sI.[index_id] AS [index_id]	
	, sI.[name] AS [index_name]
FROM sys.indexes sI
	INNER JOIN sys.filegroups sFG
		ON sI.data_space_id = sFG.data_space_id
	INNER JOIN sys.all_objects sO
		ON sI.[object_id] = sO.[object_id]
WHERE sO.[is_ms_shipped] = 0	-- sI.data_space_id = 1 --* New FileGroup*
ORDER BY sI.data_space_id
	, sO.[is_ms_shipped]
	, sO.[type] 
	, sO.[name]
	, sI.[index_id]	
	, sI.[name]
GO



SELECT sFG.[name] AS [filegroup_name], COUNT(sFG.[name]) AS [num_of_tables]
	--, sO.[is_ms_shipped] 
	--, sO.[name] AS [table_name]
--	, sO.[type] AS [object_type]
	--, sI.[index_id] AS [index_id]	
	--, sI.[name] AS [index_name]
FROM sys.indexes sI
	INNER JOIN sys.filegroups sFG
		ON sI.data_space_id = sFG.data_space_id
	INNER JOIN sys.all_objects sO
		ON sI.[object_id] = sO.[object_id]
--WHERE SO.[is_ms_shipped] = 0	
-- AND	SFG.NAME = 'USER_DATA'
GROUP BY SFG.name
ORDER BY SFG.name
GO



